Get job pack retainer split
curl --request GET \
--url https://api.stardex.ai/v1/jobs/{id}/pack-retainer-split \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.stardex.ai/v1/jobs/{id}/pack-retainer-split"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.stardex.ai/v1/jobs/{id}/pack-retainer-split', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stardex.ai/v1/jobs/{id}/pack-retainer-split",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.stardex.ai/v1/jobs/{id}/pack-retainer-split"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.stardex.ai/v1/jobs/{id}/pack-retainer-split")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.stardex.ai/v1/jobs/{id}/pack-retainer-split")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"job_id": "123e4567-e89b-12d3-a456-426614174000",
"splits": [
{
"team_member_id": "456e7890-a12b-34c5-d678-901234567890",
"team_member_name": "Theo Martin",
"role": "Sales",
"split_percentage": 30
},
{
"team_member_id": "234e5678-e90a-12b3-c456-789012345678",
"team_member_name": "Jane Smith",
"role": null,
"split_percentage": 35
},
{
"team_member_id": "345e6789-f01b-23c4-d567-890123456789",
"team_member_name": "Bob Johnson",
"role": null,
"split_percentage": 35
}
]
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Jobs
Get job pack retainer split
Returns the job’s pack retainer split: who gets credit for a retainer pack retainer when a placement on this job claims it, and their percentages. When a placement claims a retainer from the client company’s retainer pack, this split is copied onto that retainer and stays with it. An empty splits list means claimed retainers keep the pack default split. Needs fees:read for API keys.
GET
/
v1
/
jobs
/
{id}
/
pack-retainer-split
Get job pack retainer split
curl --request GET \
--url https://api.stardex.ai/v1/jobs/{id}/pack-retainer-split \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.stardex.ai/v1/jobs/{id}/pack-retainer-split"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.stardex.ai/v1/jobs/{id}/pack-retainer-split', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stardex.ai/v1/jobs/{id}/pack-retainer-split",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.stardex.ai/v1/jobs/{id}/pack-retainer-split"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.stardex.ai/v1/jobs/{id}/pack-retainer-split")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.stardex.ai/v1/jobs/{id}/pack-retainer-split")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"job_id": "123e4567-e89b-12d3-a456-426614174000",
"splits": [
{
"team_member_id": "456e7890-a12b-34c5-d678-901234567890",
"team_member_name": "Theo Martin",
"role": "Sales",
"split_percentage": 30
},
{
"team_member_id": "234e5678-e90a-12b3-c456-789012345678",
"team_member_name": "Jane Smith",
"role": null,
"split_percentage": 35
},
{
"team_member_id": "345e6789-f01b-23c4-d567-890123456789",
"team_member_name": "Bob Johnson",
"role": null,
"split_percentage": 35
}
]
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Was this page helpful?